Skip to main content
GET
/
chargebacks
/
{id}
Retrieve refund
curl --request GET \
  --url https://sandbox.kulmipay.com/api/v1/chargebacks/{id} \
  --header 'Authorization: Bearer <token>'
{
  "transaction": {
    "invoice": {
      "value": "<string>",
      "invoice_id": "<string>",
      "charges": "<string>",
      "net_amount": "<string>",
      "currency": "<string>",
      "account": "<string>",
      "api_ref": "<string>",
      "clearing_status": "<string>",
      "mpesa_reference": "<string>",
      "host": "<string>",
      "retry_count": -1,
      "failed_reason": "<string>",
      "failed_code": "<string>",
      "failed_code_link": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "transaction_id": "<string>",
    "currency": "<string>",
    "value": "<string>",
    "running_balance": "<string>",
    "narrative": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "chargeback_id": "<string>",
  "session_id": "<string>",
  "amount": "<string>",
  "status": "<string>",
  "resolution": "<string>",
  "staff_created": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.kulmipay.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:ISSecretKey_test_xxxxxxxxxxxxxxxx
required

Use your KulmiPay secret key as the Bearer token.

Path Parameters

id
integer
required

A unique integer value identifying this Chargeback.

Response

200 - application/json
transaction
object
required
reason
enum<string>
required
Available options:
Unavailable service,
Delayed delivery,
Wrong service,
Duplicate payment,
Other
chargeback_id
string
read-only
session_id
string
read-only
amount
string<decimal>
status
string
read-only
Minimum string length: 1
resolution
string | null

Resolution statement

Pattern: ^[a-zA-Z0-9-_ ]+$
staff_created
boolean
read-only

Specify if chargeback was initiated by the admin

created_at
string<date-time> | null
read-only
updated_at
string<date-time> | null
read-only